Loading...
Searching...
No Matches
TabVecMath.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/BasicMath/Math.h>`
`#include <casacore/tables/Tables/TableVector.h>`
`#include <casacore/tables/Tables/TVecMath.h>`

Go to the source code of this file.

## Classes

struct | casacore::TabVecMath_global_functions_basicMath
| More...
struct | casacore::TabVecMath_global_functions_basicTransMath
| Transcendental math for table vectors. More...
struct | casacore::TabVecMath_global_functions_advTransMath
| Further transcendental math for table vectors. More...
struct | casacore::TabVecMath_global_functions_miscellaneous
| Miscellaneous table vector operations. More...
struct | casacore::TabVecMath_global_functions_vectorMath
| Vector operations on a table vector. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | TABVECMATHOPER(NAME, OP, OPA)
#define | TABVECMATHFUNC(NAME)
#define | TABVECMATHFUNC2(NAME)

## Functions

template<class T>
TableVector< T > | casacore::pow (const TableVector< T > &tv, const double &exp)
template<class T>
T | casacore::sum (const TableVector< T > &tv)
template<class T>
T | casacore::product (const TableVector< T > &tv)
template<class T>
void | casacore::minMax (T &min, T &max, const TableVector< T > &tv)
template<class T>
T | casacore::min (const TableVector< T > &tv)
template<class T>
T | casacore::max (const TableVector< T > &tv)
template<class T>
void | casacore::indgen (TableVector< T > &tv, T start, T inc)
template<class T>
void | casacore::indgen (TableVector< T > &tv, T start)
template<class T>
void | casacore::indgen (TableVector< T > &tv)
template<class T>
T | casacore::innerProduct (const TableVector< T > &l, const TableVector< T > &r)
template<class T>
T | casacore::norm (const TableVector< T > &tv)
template<class T>
TableVector< T > | casacore::crossProduct (const TableVector< T > &l, const TableVector< T > &r)

## Macro Definition Documentation

## TABVECMATHFUNC

#define TABVECMATHFUNC | ( |  | NAME | ) |

Definition at line 343 of file TabVecMath.h.

## TABVECMATHFUNC2

#define TABVECMATHFUNC2 | ( |  | NAME | ) |

Definition at line 347 of file TabVecMath.h.

## TABVECMATHOPER

#define TABVECMATHOPER | ( |  | NAME,
|  |  | OP,
|  |  | OPA )

Definition at line 313 of file TabVecMath.h.